std::atomic< char16_t > Struct Reference
Atomics

`#include <atomic>`

Inherits __atomic_base< char16_t >.

## Public Types

typedef __atomic_base< char16_t > | __base_type
typedef char16_t | __integral_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
atomic & | operator= (const atomic &) volatile=delete
atomic & | operator= (const atomic &)=delete

## Static Public Attributes

static constexpr bool | is_always_lock_free

## Detailed Description

Explicit specialization for char16_t.

Definition at line 1013 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<char16_t> std::atomic< char16_t >::__base_type

Definition at line 1016 of file atomic.

## __integral_type

typedef char16_t std::atomic< char16_t >::__integral_type

Definition at line 1015 of file atomic.

## Constructor & Destructor Documentation

## atomic()

constexpr std::atomic< char16_t >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 1024 of file atomic.

## Member Data Documentation

## is_always_lock_free

constexpr bool std::atomic< char16_t >::is_always_lock_free

static constexpr

Definition at line 1030 of file atomic.

The documentation for this struct was generated from the following file:

- atomic